%define gccver %(gcc -dumpversion |cut -d. -f-2)
%define objprelink 1

Name: kunit
Version: 0.5
Release: alt4

Summary: KUnit - units converter
Summary(ru-Ru.KOI8-R):   
Group: Sciences/Physics
License: GPL
Url: http://www.netmeister.org
Source: http://www.netmeister.org/apps/%name-%version.tar.bz2
Source1: %name-48x48.xpm
Source2: %name-32x32.xpm
Source3: %name-16x16.xpm

Patch1: kunit-0.5-qt_no_compat.patch

Requires: libqt3-gcc_compiled = %gccver
BuildRequires: libqt3-gcc_compiled = %gccver

# Automatically added by buildreq on Wed Dec 05 2001
BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++ kdelibs-devel libarts-devel libfam-devel libjpeg-devel liblcms libmng libpng-devel libqt3-devel libstdc++-devel libxml2 libxslt xml-utils zlib-devel

%if %objprelink
BuildRequires: objprelink
%endif

%description
KUnit is a simple program to convert various units.
KUnit currently converts the following categories:
acceleration, angle, angular acceleration, angular velocity, area, bits
and bytes, capacitance, charge, colors, current, energy, force,
illuminance, inductance, length, luminance, magnetic flux, mass (or
weight), power, pressure, Shoe Sizes, SI prefixes, specific heat,
temperature, thermal conductivity, time, torque, velocity, viscosity
(dynamic), viscosity (kinematic), voltage, volume.

%description -l ru-Ru.KOI8-R
KUnit -       
 .     
,  ,  ,  ,
,    ,  , ,  (RGB, HEX),
 , , , , , , ,
 ,   , , ,  ,
  , , , ,
,  , ,   
, , .

%prep
%setup -q
%patch1 -p1

%build
%add_optflags -DQT_CLEAN_NAMESPACE -DQT_NO_COMPAT
%make_build \
	QTDIR=%_libdir/qt3 \
%if %objprelink
	CXX=g++prelink \
%endif
	CFLAGS="%optflags" \
	CXXFLAGS="%optflags"

%install
%__install -pD kunit/%name %buildroot%_bindir/%name
%__install -d %buildroot%_docdir/HTML/en/%name/
%__install -p -m644 kunit/docs/* %buildroot%_docdir/HTML/en/%name/
%__ln_s ../common %buildroot/%_docdir/HTML/en/%name/common

# menu
%__cat << EOF >%name.menu
?package(%name): command="%_bindir/%name" needs="X11" section="Applications/%group" \
title="KUnit" longtitle="Units converter" icon="%name.xpm"
EOF

%__install -pD -m644 %name.menu %buildroot%_menudir/%name

#icons
%__install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.xpm
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/%name
%_iconsdir/%name.xpm
%_iconsdir/*/%name.xpm
%_menudir/%name
%doc %_docdir/HTML/*/%name
%doc README AUTHORS

%changelog
* Fri Oct 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.5-alt4
- Rebuild with new qt3.

* Tue Sep 17 2002 Sergey V Turchin <zerg@altlinux.ru> 0.5-alt3
- build with gcc3.2 , Qt3

* Mon Jan 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.5-alt2
- cleanups

* Wed Dec 5 2001 Yuri N. Sedunov <aris@altlinux.ru> 0.5-alt1
- first build for Sisyphus
